<bugID>995161<Summary>Customize mode can still break after bootstrapped add-on with custom legacy:true toolbar restarts</Summary><Description>Can still reproduce bug 989609 if registering the testBar as legacy:true, as in step 2:
&gt; CustomizableUI.registerArea('testBar', 
&gt;   { type: CustomizableUI.TYPE_TOOLBAR, legacy: true }
&gt; );</Description></bugID>